Page MenuHomePhabricator

elementary: migrate Efl.Ui.List_View to use Efl.Ui.Collection_View.
AbandonedPublic

Authored by cedric on Sep 15 2019, 11:39 PM.

Diff Detail

Repository
rEFL core/efl
Branch
T8177-devs/cedric/cv-finalize
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 13311
cedric created this revision.Sep 15 2019, 11:39 PM
bu5hm4n accepted this revision.Sep 16 2019, 1:21 AM

I am super happy with this one.

But can you add a test to elm_test and not just examples ? examples are likely to not be really tested, elm_test is the standard way of adding widgets...

src/examples/elementary/efl_ui_list_view_example_3.c
123

Why is that commented out ?

This revision is now accepted and ready to land.Sep 16 2019, 1:21 AM
bu5hm4n requested changes to this revision.Sep 16 2019, 1:21 AM
This revision now requires changes to proceed.Sep 16 2019, 1:21 AM

More testing:

  • ./src/examples/elementary/efl_ui_list_view_example_2 does not work anymore
  • ./src/examples/elementary/efl_ui_list_view_example_3 segfaults after pressing Add Item
SanghyeonLee requested changes to this revision.EditedSep 16 2019, 9:04 PM

seems it missing to delete removed file list in Elementary.h
if Efl_Ui.h is right place for new widget set,
list_view.eo.h also need to replaced to Efl.Ui.h

More testing:

  • ./src/examples/elementary/efl_ui_list_view_example_2 does not work anymore

Because of 1aeef0434e5ac788c69d8c4ca4af7bddac5ad4dc .

  • ./src/examples/elementary/efl_ui_list_view_example_3 segfaults after pressing Add Item

Indeed. Looking at it and fixed that, will try to push an update in my branch tonight, but I am seeing an issue the position manager is not relayouting the widget when an item is added/removed inside the view port and I am not to sure of the strategy to fix this.

cedric planned changes to this revision.Sep 17 2019, 8:25 PM
cedric abandoned this revision.Sep 19 2019, 1:20 PM

For whatever reason git phab decided to create a new patch instead of updating this one and for further review, please look at D10035.